/**
 * Textile Parser
 *
 * Textile takes plain text with *simple* markup and produces valid XHTML.
 *
 * @category 	plugin
 * @version 	2.1
 * @license 	http://www.gnu.org/copyleft/gpl.html GNU Public License (GPL)
 * @internal	@events OnWebPagePrerender
 * @internal	@modx_category Content
 *  Written by: Rayomond Irving
 *  Modified for Textile 2.1 by: yama 2012-02-10
 *  Modified for Textile 2.0.0 by: Ren? Tschannen 15.03.2007
 *  Contact: mail@nightsignals.com
 *  Download of classTextile.php: http://textile.thresholdstate.com/
 *  Textile Reference: http://hobix.com/textile/
 *  Support: http://forum.textpattern.com/viewforum.php?id=10  
 */
 
switch ($modx->event->name)
{
	case 'OnWebPagePrerender':
		$doc = $modx->documentOutput;
		if(strpos($doc,'<textile>')===false) return;
		$classTextile = $modx->config['base_path'] . 'assets/plugins/textile/classTextile.php';
		if (file_exists($classTextile))
		{
			include_once($classTextile);
			$textile = new Textile();
			preg_match_all("|<textile>(.*)</textile>|Uis",$doc,$matches);
			for ($i=0;$i<count($matches[0]);$i++)
			{
				$tag = $matches[0][$i];
				$src = trim($matches[1][$i]);
				$text = $textile->TextileThis($src);
				$doc = str_replace($tag,$text,$doc);
			}
			$modx->documentOutput = $doc;
		}
		break;
	default:    // stop here
		return; 
		break;
}
